<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{67103C8E-028A-4CAE-AE10-8DAB9B0951BF}</ProjectGuid>
    <RootNamespace>xmtest</RootNamespace>
    <Keyword>Qt4VSv1.0</Keyword>
    <WindowsTargetPlatformVersion>10.0.18362.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <OutputDirectory>.\</OutputDirectory>
    <ATLMinimizesCRunTimeLibraryUsage>false</ATLMinimizesCRunTimeLibraryUsage>
    <CharacterSet>NotSet</CharacterSet>
    <ConfigurationType>Application</ConfigurationType>
    <PrimaryOutput>xmtest</PrimaryOutput>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">build</OutDir>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">xmtest</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</IgnoreImportLibrary>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>"c:\Qt\Qt4.8.7-2010-32\include\QtCore";"c:\Qt\Qt4.8.7-2010-32\include\QtGui";"c:\Qt\Qt4.8.7-2010-32\include";".";"c:\Qt\Qt4.8.7-2010-32\include\ActiveQt";".";c:\Qt\Qt4.8.7-2010-32\mkspecs\default;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalOptions>-Zm200 -w34100 -w34189 %(AdditionalOptions)</AdditionalOptions>
      <AssemblerListingLocation>.\</AssemblerListingLocation>
      <BrowseInformation>false</BrowseInformation>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <ExceptionHandling>Sync</ExceptionHandling>
      <ObjectFileName>.\</ObjectFileName>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_CONSOLE;UNICODE;WIN32;QT_DLL;QT_GUI_LIB;QT_CORE_LIB;QT_HAVE_MMX;QT_HAVE_3DNOW;QT_HAVE_SSE;QT_HAVE_MMXEXT;QT_HAVE_SSE2;QT_THREAD_SUPPORT;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PreprocessToFile>false</PreprocessToFile>
      <ProgramDataBaseFileName>.\</ProgramDataBaseFileName>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TreatWChar_tAsBuiltInType>false</TreatWChar_tAsBuiltInType>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <Link>
      <AdditionalDependencies>winmm.lib;user32.lib;c:\Qt\Qt4.8.7-2010-32\lib\QtGuid4.lib;c:\Qt\Qt4.8.7-2010-32\lib\QtCored4.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>c:\Qt\Qt4.8.7-2010-32\lib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalOptions>"/MANIFESTDEPENDENCY:type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df' language='*' processorArchitecture='*'" %(AdditionalOptions)</AdditionalOptions>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreImportLibrary>true</IgnoreImportLibrary>
      <OutputFile>$(OutDir)\xmtest.exe</OutputFile>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <SubSystem>Console</SubSystem>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Link>
    <Midl>
      <DefaultCharType>Unsigned</DefaultCharType>
      <EnableErrorChecks>None</EnableErrorChecks>
      <WarningLevel>0</WarningLevel>
    </Midl>
    <ResourceCompile>
      <PreprocessorDefinitions>_CONSOLE;UNICODE;WIN32;QT_DLL;QT_GUI_LIB;QT_CORE_LIB;QT_HAVE_MMX;QT_HAVE_3DNOW;QT_HAVE_SSE;QT_HAVE_MMXEXT;QT_HAVE_SSE2;QT_THREAD_SUPPORT;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="minifmod\Fmusic.c" />
    <ClCompile Include="minifmod\Fsound.c" />
    <ClCompile Include="src\main.cpp" />
    <ClCompile Include="minifmod\mixer_clipcopy.c" />
    <ClCompile Include="minifmod\mixer_fpu_ramp.c" />
    <ClCompile Include="minifmod\music_formatxm.c" />
    <ClCompile Include="minifmod\system_file.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="minifmod\Mixer.h" />
    <ClInclude Include="minifmod\Music.h" />
    <ClInclude Include="minifmod\Sound.h" />
    <ClInclude Include="minifmod\minifmod.h" />
    <ClInclude Include="minifmod\mixer_clipcopy.h" />
    <ClInclude Include="minifmod\mixer_fpu_ramp.h" />
    <ClInclude Include="minifmod\music_formatxm.h" />
    <ClInclude Include="minifmod\system_file.h" />
    <ClInclude Include="minifmod\system_memory.h" />
    <ClInclude Include="minifmod\xmeffects.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>